public class Matriz
{
	int[][] elem;

	public Matriz(int[][] elem)
	{
		this.elem = new int[elem.length][elem[0].length];

		for (int i = 0; i < elem.length; i++)
			for (int j = 0; j < elem[0].length; j++)
				this.elem[i][j] = elem[i][j];
	}

	public Matriz sumar(Matriz m)
	{
		Matriz nueva = new Matriz(this.elem);

		for (int i = 0; i < elem.length; i++)
			for (int j = 0; j < elem[0].length; j++)
				nueva.elem[i][j] += m.elem[i][j];

		return nueva;
	}

	public Matriz restar(Matriz m)
	{
		Matriz nueva = new Matriz(this.elem);

		for (int i = 0; i < elem.length; i++)
			for (int j = 0; j < elem[0].length; j++)
				nueva.elem[i][j] -= m.elem[i][j];

		return nueva;
	}

	public Matriz restar2(Matriz m)
	{
		Matriz nueva = new Matriz(this.elem);

		for (int i = 0; i < elem.length; i++)
			for (int j = 0; j < elem[0].length; j++)
				nueva.elem[i][j] = m.elem[i][j] - this.elem[i][j];

		return nueva;
	}
	
	public Matriz multiplicar(Matriz m)
	{
		Matriz nueva = new Matriz(this.elem);
		
		for (int i = 0; i < nueva.elem.length; i++)
			for (int j = 0; j < nueva.elem[i].length; j++)
				nueva.elem[i][j] = 0;
		
		for (int i = 0; i < elem.length; i++)
			for (int j = 0; j < elem[i].length; j++)
				for (int k = 0; k < elem[i].length; k++)
					nueva.elem[i][k] += elem[i][j] * m.elem[j][k];
		
		return nueva;
	}

	public boolean equals(Matriz m)
	{
		for (int i = 0; i < elem.length; i++)
			for (int j = 0; j < elem[0].length; j++)
				if (elem[i][j] != m.elem[i][j])
					return false;
		return true;
	}
}
